FROM python:3.9.20-slim-bookworm

RUN pip install python-dotenv flask gunicorn
RUN apt-get update && apt-get install -y curl jq && apt-get clean && rm -rf /var/lib/apt/lists/*

WORKDIR /app
COPY api.py tx.sh fetchname.sh .
RUN chmod +x tx.sh api.py fetchname.sh

CMD gunicorn --workers 4 --bind 0.0.0.0:5000 api:app
