#!/bin/bash

source .env 2> /dev/null

COOKIE=$(curl -s $COOKIE_SERVER/getcookie)
IBSID=$(echo $COOKIE | jq -r .IBSID)
QL_0=$(echo $COOKIE | jq -r .ql_0)

curl 'https://faisanet.mib.com.mv/ajaxAccounts/trxHistory' \
  -H "cookie: ql_0=${QL_0}; IBSID=${IBSID}" \
  --data-raw "accountNo=${ACCOUNT_NUMBER}&trxNo=&trxType=0&sortTrx=date&sortDir=desc&fromDate=&toDate=&start=1&end=20&includeCount=1" -s \
  | sed 's/"benefName":"BML - /"benefName":"/g' \
  | jq '.data |= map(select(.baseAmount | tonumber > 0))'
